PCRE2_SET_HEAP_LIMIT(3)

NAME
PCRE2 - Perl-compatible regular expressions (revised API)

SYNOPSIS

#include <pcre2.h>

int pcre2_set_heap_limit(pcre2_match_context *mcontext,
  uint32_t value);

DESCRIPTION

This function sets the backtracking heap limit field in a match context. The result is always zero.

There is a complete description of the PCRE2 native API in the pcre2api page and a description of the POSIX API in the pcre2posix page.